module ContentManagement
  class Engine < Rails::Engine
    isolate_namespace ContentManagement

    # Make the following gem asset pipelines available to the application
    require 'ckeditor_rails'
    #require 'ckeditor'

    #initializer 'content_management.action_controller' do |app|
    #  ActiveSupport.on_load :action_controller do
    #    helper ::ContentManagement::ViewHelper
    #  end
    #end

    #config.autoload_paths << File.expand_path("../validators", __FILE__)

    config.generators do |g|
      g.test_framework :rspec, :fixture => true, :views => false, :helper => true
      g.integration_tool :rspec, :fixture => true, :views => true
      g.fixture_replacement :factory_bot, :dir => 'spec/factories'
    end

  end
end
