require 'content_management/validators/email_format_validator'

module ContentManagement
  class Comment < ActiveRecord::Base
    self.table_name = 'cm_comments'

    belongs_to :content, :class_name => '::ContentManagement::Content'

    #---------------------------------------------------------------------------

    #attr_accessible :content, :content_id
    #attr_accessible :title, :author, :email, :url, :body, :approved, :ip

    #---------------------------------------------------------------------------

    validates :content, :presence => true
    validates :author, :presence => true
    validates :email,  :presence => true, :email_format => true
    validates :body,   :presence => true
  end
end
