module ContentManagement
  class ContentCategory < ActiveRecord::Base
    self.table_name = 'cm_content_categories'

    belongs_to :content_type, :class_name => '::ContentManagement::ContentType', :validate => true
    has_many :contents, :class_name => '::ContentManagement::Content', :dependent => :nullify

    #---------------------------------------------------------------------------

    #attr_accessible :content_type, :content_type_id
    #attr_accessible :name, :description, :active, :position

    #---------------------------------------------------------------------------

    #validates_uniqueness_of :name, :scope => :content_type

    #----------------------------------------------------------------------------

    def to_s
      name
    end
  end
end
