module ContentManagement
  class ContentFormat < ActiveRecord::Base

    TXT = 'TXT'
    HTML = 'HTML'
    Markdown = 'Markdown' # RDiscount / BlueCloth / Maruku
    Textile = 'Textile' # RedCloth

    #---------------------------------------------------------------------------

    self.table_name = 'cm_content_formats'

    has_many :contents, :class_name => '::ContentManagement::Content', :dependent => :nullify

    #---------------------------------------------------------------------------

    #attr_accessible :name, :description

    #---------------------------------------------------------------------------

    #validates_uniqueness_of :name

    #----------------------------------------------------------------------------

    def to_s
      name
    end
  end
end
