module ContentManagement
  class ContentType < ActiveRecord::Base

    StaticPage = 'StaticPage'
    Article = 'Article'
    Blog = 'Blog'
    FAQ = 'FAQ'
    Comment = 'Comment'

    #---------------------------------------------------------------------------

    self.table_name = 'cm_content_types'

    has_many :contents, :class_name => '::ContentManagement::Content', :dependent => :nullify

    #---------------------------------------------------------------------------

    #attr_accessible :name, :description

    #---------------------------------------------------------------------------

    #validates_uniqueness_of :name

    #---------------------------------------------------------------------------

    def to_s
      name
    end
  end
end
